## NAME

v.type - Changes type of vector features.

## KEYWORDS

vector, geometry, editing, area, line, point

## SYNOPSIS

v.type
v.type --help
v.type input=name [layer=string] output=name from_type=string to_type=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for output vector map
from_type=string [required]
  Feature type to convert from
  Options: point, line, boundary, centroid, face, kernel
  Default: line
to_type=string [required]
  Feature type to convert to
  Options: point, line, boundary, centroid, face, kernel
  Default: boundary

## DESCRIPTION

v.type changes the type of geometry primitives.

## EXAMPLES

Convert lines to area boundaries

    v.type input=map_l output=map_b from_type=line to_type=boundary

In order to create areas, centroids must be added with v.centroids.

## SEE ALSO

v.centroids, v.to.points

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

## SOURCE CODE

Available at: v.type source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC1 Reference Manual